package com.ringlord.boxer2;

import java.util.ArrayList;
import java.util.List;


public enum FileHandlingOption
{
  IGNORE("Ignore files"),
  INCLUDE("Include files in archive");

  public synchronized static FileHandlingOption[] textArray()
  {
    if( textArray == null )
      {
        final List<FileHandlingOption> tmp = new ArrayList<>();
        for( final FileHandlingOption fho : values() )
          {
            tmp.add( fho );
          }
        textArray = new FileHandlingOption[tmp.size()];
        tmp.toArray( textArray );
      }
    return textArray;
  }


  public String getToolTipText()
  {
    return toolTipText;
  }


  private FileHandlingOption( final String toolTipText )
  {
    this.toolTipText = toolTipText;
  }

  private final String toolTipText;
  private static FileHandlingOption[] textArray;
}
