package com.ringlord.boxer2;

import java.util.ArrayList;
import java.util.List;


public enum LibraryHandlingOption
{
  REFERENCE("Reference library as an external file"),
  MERGE("Merge library contents into main archive"),
  IGNORE("Ignore library");

  public synchronized static LibraryHandlingOption[] textArray()
  {
    if( textArray == null )
      {
        final List<LibraryHandlingOption> tmp = new ArrayList<>();
        for( final LibraryHandlingOption lho : values() )
          {
            tmp.add( lho );
          }
        textArray = new LibraryHandlingOption[tmp.size()];
        tmp.toArray( textArray );
      }
    return textArray;
  }


  public String getToolTipText()
  {
    return toolTipText;
  }


  private LibraryHandlingOption( final String toolTipText )
  {
    this.toolTipText = toolTipText;
  }

  private final String toolTipText;
  private static LibraryHandlingOption[] textArray;
}
