package com.ringlord.boxer2.javafx8;

import javafx.application.Application;
import javafx.geometry.Insets;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.layout.GridPane;
import javafx.stage.Stage;

import com.ringlord.boxer2.Util;


public class GUI
  extends Application
{
  public void go( final String[] args )
  {
    launch( args );
  }


  @Override
  public void start( final Stage stage )
    throws Exception
  {
    // If there are Projects to be processed then bring up the output window,
    // and then close it and exit when done, otherwise bring up a fully
    // interactive GUI.

    final GridPane grid = new GridPane();
    grid.setVgap( 8 );
    grid.setHgap( 8 );
    grid.setPadding( new Insets( 15,
                                 15,
                                 15,
                                 15 ) );

    final int row = 0;

    grid.add( new Label( "JavaFX 8 GUI not yet available. Try -7 flag to force Swing." ),
              0,
              row );

    final Scene scene = new Scene( new Group( grid ) );

    stage.setTitle( "Boxer " + Util.VERSION );
    stage.setScene( scene );
    stage.sizeToScene();

    stage.show();
  }
}
