package com.ringlord.boxer2.javafx8;

import java.util.List;
import java.util.logging.Level;

import com.ringlord.boxer2.Project;
import com.ringlord.boxer2.Util;


public class Launch
{
  public static void main( final String[] args )
  {
    go( null );
  }


  public static void go( final List<Project> projects )
  {
    final String[] args;
    if( (projects == null) || projects.isEmpty() )
      {
	args = new String[0];
	new GUI().go( new String[]{} );
      }
    else
      {
	args = new String[projects.size()];
	for( int i = 0; i < projects.size(); i++ )
	  {
	    args[i] = projects.get( i ).root().toString();
	  }
	Util.logger().log( Level.SEVERE,
	                   "Cannot yet launch Builder with a GUI" );
      }
  }
}
