package com.ringlord.boxer2;

import java.util.ArrayList;
import java.util.List;


public enum ArchiveHandlingOption
{
  REFERENCE("Reference archive as an external file"),
  MERGE("Merge archive contents into main archive"),
  IGNORE("Ignore archive");

  public synchronized static ArchiveHandlingOption[] textArray()
  {
    if( textArray == null )
      {
        final List<ArchiveHandlingOption> tmp = new ArrayList<>();
        for( final ArchiveHandlingOption lho : values() )
          {
            tmp.add( lho );
          }
        textArray = new ArchiveHandlingOption[tmp.size()];
        tmp.toArray( textArray );
      }
    return textArray;
  }


  public String getToolTipText()
  {
    return toolTipText;
  }


  private ArchiveHandlingOption( final String toolTipText )
  {
    this.toolTipText = toolTipText;
  }

  private final String toolTipText;
  private static ArchiveHandlingOption[] textArray;
}
