package com.ringlord.boxer2;

import java.util.regex.Pattern;


public class Exclusion
{
  public Exclusion()
  {
    this( null );
  }


  public Exclusion( final Pattern pattern )
  {
    super();
    setPattern( pattern );
  }


  public boolean isExcluded( final String name )
  {
    return pattern.matcher( name ).find();
  }


  public void setPattern( final Pattern pattern )
  {
    this.pattern = (pattern == null
        ? ALL
        : pattern);
  }


  public Pattern getPattern()
  {
    return pattern;
  }

  private Pattern pattern;
  private static final Pattern ALL = Pattern.compile( ".*" );
}
